Subject: bug#4157: 23.1.50; faulty character characterisation for ä

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Aug 2009 21:49:33 -0400

>> Hmm... that looks like a problem in dired: the file names in the output
>> of `ls' should follow file-name-coding-system, whereas the rest of the
>> output seem to use locale-coding-system.  Coudl you check if that's
>> indeed the case:
>> - create a file from the Finder using accented latin-1
>> chars, as well as non-latin-1 chars).
>> - look at it in your dired and tell us what you see.
> In both locales the *file names* are correct and also detected as containing

"correct" doesn't really tell me what you see, but I see what you mean.

> "composed characters," it's a problem with the file's  month date. In the

So my guess was right: ls's output uses utf-8 for the filenames, but
latin-1 for the date, which is why it's difficult for dired to do the
right thing (it's not impossible, of course, but it's more work and
dired is currently not setup for that).

        Stefan